# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-05 23:28
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('mailing', '0002_message_author'),
        ('sites', '0002_alter_domain_unique'),
        ('cfp', '0010_auto_20170927_1820'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, verbose_name='Name')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='name')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.Site')),
            ],
            options={
                'verbose_name': 'Activity',
                'verbose_name_plural': 'Activities',
            },
        ),
        migrations.CreateModel(
            name='Volunteer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=128, verbose_name='Your Name')),
                ('email', models.EmailField(max_length=254)),
                ('token', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('phone_number', models.CharField(blank=True, default='', max_length=64, verbose_name='Phone number')),
                ('language', models.CharField(blank=True, max_length=10)),
                ('notes', models.TextField(blank=True, default='', help_text='If you have some constraints, you can indicate them here.', verbose_name='Notes')),
                ('conversation', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='mailing.MessageThread')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.Site')),
            ],
        ),
        migrations.AddField(
            model_name='conference',
            name='volunteers_closing_date',
            field=models.DateTimeField(blank=True, default=None, null=True, verbose_name='Volunteers enrollment closing date'),
        ),
        migrations.AddField(
            model_name='conference',
            name='volunteers_opening_date',
            field=models.DateTimeField(blank=True, default=None, null=True, verbose_name='Volunteers enrollment opening date'),
        ),
        migrations.AlterField(
            model_name='talk',
            name='description',
            field=models.TextField(help_text='This field is only visible by organizers.', verbose_name='Description of your talk'),
        ),
        migrations.AddField(
            model_name='activity',
            name='volunteers',
            field=models.ManyToManyField(blank=True, related_name='activities', to='cfp.Volunteer', verbose_name='Volunteer'),
        ),
        migrations.AlterUniqueTogether(
            name='volunteer',
            unique_together=set([('site', 'email')]),
        ),
        migrations.AlterUniqueTogether(
            name='activity',
            unique_together=set([('site', 'name')]),
        ),
    ]
